VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OldMouseObserverAdapter Class Reference

`#include <cframe.h>`

Inheritance diagram for OldMouseObserverAdapter:

## Public Member Functions
void | onMouseEntered (CView *view, CFrame *frame) override
void | onMouseExited (CView *view, CFrame *frame) override
void | onMouseEvent (MouseEvent &event, CFrame *frame) override
virtual CMouseEventResult | onMouseMoved (CFrame *frame, const CPoint &where, const CButtonState &buttons)
virtual CMouseEventResult | onMouseDown (CFrame *frame, const CPoint &where, const CButtonState &buttons)
Public Member Functions inherited from IMouseObserver
virtual | ~IMouseObserver () noexcept=default

## Member Function Documentation

## ◆ onMouseDown()

CMouseEventResult onMouseDown | ( | CFrame * | frame,
|  | const CPoint & | where,
|  | const CButtonState & | buttons )
| virtual

## ◆ onMouseEntered()

void onMouseEntered | ( | CView * | view,
|  | CFrame * | frame )
| inline override virtual

Implements IMouseObserver.

## ◆ onMouseEvent()

void onMouseEvent | ( | MouseEvent & | event,
|  | CFrame * | frame )
| override virtual

Implements IMouseObserver.

## ◆ onMouseExited()

void onMouseExited | ( | CView * | view,
|  | CFrame * | frame )
| inline override virtual

Implements IMouseObserver.

## ◆ onMouseMoved()

CMouseEventResult onMouseMoved | ( | CFrame * | frame,
|  | const CPoint & | where,
|  | const CButtonState & | buttons )
| virtual

The documentation for this class was generated from the following files:

- cframe.h
- cframe.cpp